<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>&{'cetak_pesanan.label'}</title>

	<style type="text/css">
		@font-face {
			-fs-pdf-font-embed: embed;
			-fs-pdf-font-encoding: Identity-H;
		}

		* {
				font-family: Calibri;
				font-size: 14px;
		}

		@page {
			size: A4 landscape;
			margin-top: 20px;
    		margin-bottom: 20px;
    		margin-left: 30px;
    		margin-right: 30px;
		}

		table.tbl-produk {
		 	border-collapse: collapse;
		 	border: 1px solid black;
		}

		table.tbl-produk td {
		 	border: 1px solid black;
		 	padding: 10px;
		}

		table.tbl-produk th {
			text-align: center;
		 	padding: 10px;
		}

		.line {
		   position:absolute;
		   width:100%;
		   top: 16%;
		}

		.line2 {
		   position:absolute;
		   width:100%;
		   top: 67%;
		}

		.line_footer {
		   width:100%;
		}

		footer {
			position: fixed;
			left: 0;
			bottom: 0;
			width: 100%;
			color: black;
		}

		.txt_footer {
			font-size: 12px;
		}

        table { page-break-inside:auto }
        tr    { page-break-inside:avoid; page-break-after:auto }
        thead { display:table-header-group }
        tfoot { display:table-footer-group }
	</style>
</head>
<body>
	<header><p class="txt_footer" style="font-style: italic; text-align: right">&{'dicetak.label'} &{'menggunakan.label'} &{'aplikasi.label'} e-Purchasing &{'pemerintah.label'} &{'pada_tanggal.label'} ${utils.HtmlUtil.getTanggalSekarang(now)}</p></header>
	<section>
		<div><img src="${play.mvc.Router.getBaseUrl()}/public/images/logo_merah.png" width="160"/></div>
		<table border="0" width="100%">
			<tr>
				<td colspan="4" align="left" ><b>SISTEM PENGADAAN SECARA ELEKTRONIK</b></td>
			</tr>
		</table>
		<table rules="none" border="0" width="100%">
			<tr>
				<td colspan="4" align="left" valign="botom"><h2><b>&{'informasi_paket.label'}</b></h2></td>
			</tr>
		</table>
		<hr/>
		<table border="0" width="100%">
			<tr>
				<td width="15%">&{'komoditas.label'}</td>
				<td width="35%"><b>: ${paket?.commodity?.nama_komoditas}</b></td>
				<td width="15%">&{'tanggal_buat.label'}</td>
				<td width="35%"><b>: ${paket?.getReadableCreatedDate()}</b></td>
			</tr>
			<tr>
				<td>&{'id_paket.label'}</td>
				<td><b>: ${paket?.no_paket}</b></td>
				<td>&{'tanggal_ubah.label'}</td>
				<td><b>: ${paket?.getReadableUpdatedDate()}</b></td>
			</tr>
			<tr>
				<td>&{'nama_paket.label'}</td>
				<td><b>: ${paket?.nama_paket}</b></td>
				<td>&{'jumlah.label'} &{'produk.label'}</td>
				<td><b>: ${paket?.getTotalProduct()}</b></td>
			</tr>
			<tr>
				<td>&{'instansi.label'}</td>
				<td><b>: ${paket?.getInstanceName()}</b></td>
				<td>&{'total_harga.label'}</td>
				<td><b>: ${paket?.getTotalPrice()}</b></td>
			</tr>
			<tr>
				<td>&{'satuan_kerja.label'}</td>
				<td><b>: ${paket?.getWorkUnitName()}</b></td>
				<td></td>
				<td>${utils.HtmlUtil.getTerbilang(paket?.getTotalPrice())} Rupiah</td>
			</tr>
			<tr>
				<td>&{'alamat.label'} &{'satuan_kerja.label'}</td>
				<td><b>: ${paket?.satuan_kerja_alamat + " - " + paket?.satuan_kerja_kabupaten_nama + " - " + paket?.satuan_kerja_provinsi_nama}</b></td>
                <td>&{'kurs.label'}</td>
                <td><b>: ${paket?.kurs?.nama_kurs}</b></td>
			</tr>
			<tr>
				<td>&{'npwp.label'}</td>
				<td><b>: ${paket?.satuan_kerja_npwp}</b></td>
                <td>&{'nilai_kurs.label'}</td>
                <td><b>: ${paket?.kurs_nilai}</b></td>
			</tr>
			<tr>
				<td>&{'tahun_anggaran.label'}</td>
				<td><b>: ${paket?.tahun_anggaran}</b></td>
                <td>&{'tanggal_kurs.label'}</td>
                <td><b>: ${paket?.formatedTanggalKurs()}</b></td>
			</tr>
			<tr>
				<td>&{'sumber_dana.label'}</td>
				<td>
					#{list items:paket.sumberDana, as:'item'}
					<b>
						: ${item.nama_sumber_dana} (${item.kode_anggaran})
					</b>
					#{/list}
				</td>
			</tr>
		</table>
		<br/>
		<table border="0" width="100%" >
			<tr>
				<td valign="top" width="25%">
					<b>&{'pp_pemesan.label'}</b><br/>
					${paket?.getPpName()}<br/>
					${paket?.panitia_email}<br/>
					${paket?.panitia_no_telp}<br/>
				</td>
				<td valign="top" width="25%">
					<b>&{'ppk.label'}</b><br/>
					${paket?.getPpkName()}<br/>
					${paket?.ppk_telepon}<br/>
				</td>
				<td valign="top" width="25%">
					<b>&{'penyedia.label'}</b><br/>
					${paket?.provider?.nama_penyedia}<br/>
					${paket?.provider?.alamat}<br/>
					${paket?.provider?.email}<br/>
					${paket?.provider?.no_telp}
				</td>
				<td valign="top" width="25%">
					<b>&{'distributor_pelaksana_pekerjaan.label'}</b><br/>
					${paket?.distributor?.nama_distributor}<br/>
					${paket?.distributor?.alamat}<br/>
					${paket?.distributor?.email}<br/>
					${paket?.distributor?.no_telp}
				</td>
			</tr>
		</table>
		<h2>&{'daftar_pesanan_produk.label'}</h2>
		*{<hr class="line2"/>}*
		<table border="1" width="100%" class="tbl-produk">
			<tr>
				<th bgcolor="#D3D3D3">&{'nama_produk.label'}</th>
                <th bgcolor="#D3D3D3">&{'manufaktur.label'}</th>
				<th bgcolor="#D3D3D3">&{'kuantitas.label'}</th>
				<th bgcolor="#D3D3D3">&{'harga_satuan.label'}</th>
				<th bgcolor="#D3D3D3">&{'referensi_ongkos_kirim.label'}</th>
                <th bgcolor="#D3D3D3">&{'tanggal_pengiriman.label'}</th>
				<th bgcolor="#D3D3D3">&{'total_harga.label'}</th>
				<th bgcolor="#D3D3D3">&{'catatan.label'}</th>
			</tr>
			#{list items:paket?.products, as:'item'}
			<tr>
				<td>
					${item.no_produk}<br/>
					${item.nama_produk}
				</td>
                <td>
					${item.nama_manufaktur}
                </td>
				<td>${ext.FormatUtils.formatDesimal2(item.kuantitas)}</td>
				#{if paket.kurs?.id != models.masterdata.Kurs.kurs_utama}
                    <td>${item.getFormattedConversionUnitPrice()}</td>
				#{/if}#{else}
                	<td>${item.getFormattedUnitPrice()}</td>
				#{/else}
				#{if paket.kurs?.id != models.masterdata.Kurs.kurs_utama}
                    <td>${item.getFormattedConversionDeliveryCost()}</td>
				#{/if}#{else}
                	<td>${item.getFormattedDeliveryCost()}</td>
				#{/else}
				#{if item.batas_pengiriman != null}
					<td>${item.convertBatasPengirimanDate()}</td>
				#{/if}#{else}
					<td> - </td>
				#{/else}
				#{if paket.kurs?.id != models.masterdata.Kurs.kurs_utama}
                    <td>${item.getFormattedConversionTotalPrice()}</td>
				#{/if}#{else}
                <td>${item.getFormattedTotalPrice()}</td>
			#{/else}
				<td>${item.catatan}</td>
			</tr>
			#{/list}
		</table>
	</section>
    <div><p class="txt_footer" style="font-style: italic; text-align: left">Ini merupakan informasi paket, bukan surat pesanan/kontrak</p></div>
</body>
</html>
